php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #76075 --with-fpm-acl wrongly tries to find libacl on FreeBSD
Submitted: 2018-03-09 13:33 UTC Modified: 2018-04-13 19:57 UTC
From: mgorny at gentoo dot org Assigned: bukka (profile)
Status: Closed Package: FPM related
PHP Version: master-Git-2018-03-09 (Git) OS: Gentoo/FreeBSD 11.1
Private report: No CVE-ID: None
 [2018-03-09 13:33 UTC] mgorny at gentoo dot org
Description:
------------
The --with-fpm-acl option causes build failure on FreeBSD:

checking sys/acl.h usability... yes
checking sys/acl.h presence... yes
checking for sys/acl.h... yes
checking for acl_free in -lacl... no
configure: error: libacl required not found

This is because acl_* functions are built into -lc on *BSD, and therefore -lacl is not present nor necessary.

PR: https://github.com/php/php-src/pull/3170


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2018-03-12 14:50 UTC] bukka@php.net
-Package: Compile Failure +Package: FPM related -Assigned To: +Assigned To: bukka
 [2018-04-13 19:57 UTC] bukka@php.net
-Status: Assigned +Status: Closed
 [2018-04-13 19:57 UTC] bukka@php.net
This has been fixed and merged to 7.1+
 
PHP Copyright © 2001-2018 The PHP Group
All rights reserved.
Last updated: Tue Sep 18 13:01:28 2018 UTC